# Changelog

## 2025-03-04 - 1.6.1 - fix(build)
Corrected package.json and workflow dependencies and resolved formatting issues in tests.

- Fixed incorrect global npm package reference for tsdoc installation in workflow file.
- Updated dependencies in package.json for consistency in package naming.
- Resolved inconsistent formatting and spacing in test files.

## 2025-03-04 - 1.6.0 - feat(assertion)
Enhanced the assertion error messaging and added new test cases.

- Improved error messages by incorporating path and value/placeholders in assertions.
- Added detailed testing of new assertion functionalities.
- Additional test cases for comprehensive coverage of new features.

## 2025-03-04 - 1.5.0 - feat(Assertion)
Add toBeTypeOf assertion method

- Introduced a new assertion method `toBeTypeOf` allowing checks for expected data types.
- Updated devDependencies and dependencies to their latest versions.

## 2024-12-30 - 1.4.0 - feat(Assertion)
Add log method to Assertion class

- Introduced a log method in the Assertion class to output assertion context.

## 2024-12-30 - 1.3.0 - feat(Assertion)
Refactor Assertion class for better error handling and code clarity

- Improved method runCheck to better handle async and sync execution
- Enhanced getObjectToTestReference to handle undefined or null values gracefully
- Refactored error message logic for clarity and added more descriptive fail messages
- Added arrayItem method for better handling of array index access
- Improved structure by integrating consistent error handling in assertion methods

## 2024-08-24 - 1.2.1 - fix(Assertion)
Refactor methods for setting failure and success messages

- Renamed 'withFailMessage' to 'setFailMessage' for better readability and consistency.
- Renamed 'withSuccessMessage' to 'setSuccessMessage' to align with the naming convention.

## 2024-08-24 - 1.2.0 - feat(assertions)
Add custom fail and success messages for assertions

- Implemented withFailMessage method in Assertion class to customize fail messages
- Implemented withSuccessMessage method in Assertion class to customize success messages
- Enhanced error messages to use custom fail messages when provided

## 2024-08-17 - 1.1.0 - feat(assertion)
Add toBeDefined assertion method

- Added the toBeDefined method to the Assertion class for checking if an object is defined

## 2024-05-29 - 1.0.21 - General Updates
General updates and maintenance.

- Updated description
- Updated tsconfig
- Updated npmextra.json: githost

## 2023-08-12 - 1.0.20 to 1.0.21 - General Fixes
General fixes and update.

- Fixed core updates (multiple instances)
- 1.0.21 release

## 2023-07-10 - 1.0.15 - Organization Update
- Switched to new org scheme

## 2023-06-22 - 1.0.14 to 1.0.19 - General Updates
General fixes and updates.

- Fixed core updates (multiple instances)
- 1.0.18 to 1.0.16 releases

## 2022-02-02 - 1.0.8 to 1.0.13 - General Fixes
General fixes and update.

- Fixed core updates (multiple instances)
- 1.0.14 release

## 2022-01-20 - 1.0.1 to 1.0.7 - Initial Releases
Initial core updates and fixes.

- Fixed core updates (multiple instances)
- 1.0.7 release